> ## Documentation Index
> Fetch the complete documentation index at: https://docs.activeviam.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Books



## OpenAPI

````yaml /risk-and-pricing/atoti-risk-services/apis-endpoints/openapi/openapi.mintlify.json post /api/Position/CreateBooks
openapi: 3.0.1
info:
  title: Derivitec Api 1.0
  version: '1.0'
servers:
  - description: Derivitec Server
    url: https://api.riskportal.activeviam.com
security:
  - oauth2: []
  - apikey: []
paths:
  /api/Position/CreateBooks:
    post:
      tags:
        - Position
      summary: Create Books
      operationId: CreateBooks
      requestBody:
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/ApiCreateBooksRequest'
          application/json:
            schema:
              $ref: '#/components/schemas/ApiCreateBooksRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/ApiCreateBooksRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/ApiCreateBooksRequest'
        description: The create book request
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiBaseResponseEnvelope'
          description: Created
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
          description: Bad Request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        default:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
          description: Error
      security:
        - oauth2: []
        - apikey: []
components:
  schemas:
    ApiCreateBooksRequest:
      example:
        create_book_requests:
          - shared_users:
              - shared_users
              - shared_users
            name: name
            description: description
            parent_portfolio_names:
              - parent_portfolio_names
              - parent_portfolio_names
          - shared_users:
              - shared_users
              - shared_users
            name: name
            description: description
            parent_portfolio_names:
              - parent_portfolio_names
              - parent_portfolio_names
      properties:
        create_book_requests:
          items:
            $ref: '#/components/schemas/ApiCreateBookRequest'
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.Positions.ApiCreateBooksRequest,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    ApiBaseResponseEnvelope:
      description: >-
        Outcome of an operation that returns a success indicator and error
        messages without a domain-specific payload.
      example:
        $type: Derivitec.Web.Core.ApiBaseResponse, Derivitec.Web.Core
        is_success: true
        error_messages: []
      properties:
        $type:
          description: Serialized type of this operation outcome.
          enum:
            - Derivitec.Web.Core.ApiBaseResponse, Derivitec.Web.Core
          type: string
        is_success:
          description: >-
            Whether the operation completed successfully. Check error_messages
            when this is false.
          type: boolean
        error_messages:
          description: >-
            Messages explaining operation-level failures. Empty when there are
            no errors.
          items:
            type: string
          nullable: true
          type: array
      required:
        - $type
      type: object
    ProblemDetails:
      properties:
        type:
          nullable: true
          type: string
        title:
          nullable: true
          type: string
        status:
          format: int32
          nullable: true
          type: integer
        detail:
          nullable: true
          type: string
        instance:
          nullable: true
          type: string
      type: object
    ApiCreateBookRequest:
      example:
        shared_users:
          - shared_users
          - shared_users
        name: name
        description: description
        parent_portfolio_names:
          - parent_portfolio_names
          - parent_portfolio_names
      properties:
        description:
          maxLength: 100
          minLength: 2
          type: string
        name:
          maxLength: 100
          minLength: 2
          type: string
        parent_portfolio_names:
          items:
            type: string
          nullable: true
          type: array
        shared_users:
          items:
            type: string
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.Positions.ApiCreateBookRequest,
              Derivitec.Web.Core
      required:
        - $type
        - description
        - name
      type: object
  securitySchemes:
    oauth2:
      description: >-
        OAuth2 access-token requested from AWS Cognito and provided as a Auth
        Bearer header
      flows:
        implicit:
          authorizationUrl: https://auth.riskportal.derivitec.com/oauth2/authorize
          scopes: {}
      type: oauth2
    apikey:
      description: API-Key requested via the site and provided as a header
      in: header
      name: x-api-key
      type: apiKey

````